
%define	module	TestGears

Summary:	TestGears extensions to unittest
Summary(pl.UTF-8):	Rozszerzenie TestGears do unittest
Name:		python-TestGears
Version:	0.2
Release:	7
License:	GPL
Group:		Development/Languages/Python
Source0:	http://www.turbogears.org/download/eggs/%{module}-%{version}.tar.gz
# Source0-md5:	1911b1555cf8869e14d1f71da590bc0e
URL:		http://www.turbogears.org/testgears/
BuildRequires:	rpmbuild(macros) >= 1.710
%pyrequires_eq	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TestGears provides automatic discovery of unittest.TestCases and the
ability to run tests that are written as simple functions. It
generates a standard unittest.TestSuite for use with any of the
standard frontends, and provides a distutils command to run tests with
zero configuration.

%description -l pl.UTF-8
TestGears udostępnia automatyczne wykrywanie unittest.TestCases i
możliwość uruchamiania testów napisanych jako proste funkcje. Generuje
standardowy unittest.TestSuite do używania z dowolnym ze standardowych
frontendów i udostępnia polecenie distutils do uruchamiania testów bez
żadnej konfiguracji.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install \
        --single-version-externally-managed \
        --optimize 2 \
        --root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}*
%{py_sitescriptdir}/test*
%changelog
* Sun Feb 28 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-TestGears.git;a=log;h=master

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 8800329
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a711f63
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 62df0a9
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 82921a1
- automatic change: use py_build/py_install macros

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> d287f2b
- BR: python-modules, rpm-pythonprov
- dropped unused BR: unzip

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9973d74
- release 5

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fe2ad70
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2baa5e0
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9b4db5d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b1a2ff3
- converted to UTF-8

* Sat Dec 24 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 482aeeb
- rebuild

* Tue Dec 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a8b013
- workarounds dropped (issue fixed in 20051220 snap of setuptools)

* Tue Dec 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 61b3005
- package from standard tarball

* Thu Dec 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 63bca65
- pl

* Fri Dec 09 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> bd45f5e
- new

